Bug 540002 - address already used
Summary: address already used
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: samba
Version: 12
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Simo Sorce
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-21 22:14 UTC by Sergei LITVINENKO
Modified: 2010-10-08 14:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-08 14:30:34 UTC


Attachments (Terms of Use)

Description Sergei LITVINENKO 2009-11-21 22:14:01 UTC
Description of problem:

[root@homedesk samba]# cat log.smbd
[2009/11/22 00:05:45,  0] smbd/server.c:1065(main)
  smbd version 3.4.2-47.fc12 started.
  Copyright Andrew Tridgell and the Samba Team 1992-2009
[2009/11/22 00:05:45,  0] smbd/server.c:457(smbd_open_one_socket)
  smbd_open_once_socket: open_socket_in: Адрес уже используется (address already is used)
[2009/11/22 00:05:45,  0] smbd/server.c:457(smbd_open_one_socket)
  smbd_open_once_socket: open_socket_in: Адрес уже используется (address already is used)


Version-Release number of selected component (if applicable):
samba-3.4.2-47.fc12.i686

How reproducible:
100%

Steps to Reproduce:
1. service smb start
2.
3.
  
Actual results:
error message in log

Expected results:
no error message in log

Additional info:

Comment 1 Edouard Bourguignon 2009-12-21 10:55:41 UTC
Seems something break the configuration, I try to change the passdb backend to smbpasswd (passdb backend = smbpasswd in /etc/samba/smb.conf), then service smbd restart, and recreate my users and now it seems to work.

Comment 2 Bob Horrobin 2010-05-26 19:26:29 UTC
This still occurs on 3.4.7

[2010/05/26 20:11:06,  0] smbd/server.c:1065(main)
  smbd version 3.4.7-58.fc12 started.
  Copyright Andrew Tridgell and the Samba Team 1992-2009
[2010/05/26 20:11:06,  0] printing/print_cups.c:103(cups_connect)
  Unable to connect to CUPS server localhost:631 - Connection refused
[2010/05/26 20:11:06,  0] printing/print_cups.c:103(cups_connect)
  Unable to connect to CUPS server localhost:631 - Connection refused
[2010/05/26 20:11:06,  0] smbd/server.c:457(smbd_open_one_socket)
  smbd_open_once_socket: open_socket_in: Address already in use
[2010/05/26 20:11:06,  0] smbd/server.c:457(smbd_open_one_socket)
  smbd_open_once_socket: open_socket_in: Address already in use

I have tried with smbpasswd and tdbsam but no success.

Comment 3 Bob Horrobin 2010-05-27 15:22:38 UTC
My problem is fixed it works fine with tdbsam.  I just needed the appropriate entries in the firewall. My lack of attention to detail.  However I find the log messages very misleading when starting the service.


Note You need to log in before you can comment on or make changes to this bug.